Bug 1572495 - dnf install fails with fedora:rawhide
Summary: dnf install fails with fedora:rawhide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 07:19 UTC by Jan Pazdziora
Modified: 2019-11-27 20:21 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 18:16:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2018-04-27 07:19:15 UTC
Description of problem:

Attempting to build container image based on fedora:rawhide fails with dnf error

ValueError: The supplied metadata version isn't supported

Version-Release number of selected component (if applicable):

$ docker images fedora:rawhide
REPOSITORY                          TAG                 IMAGE ID            CREATED             SIZE
registry.fedoraproject.org/fedora   rawhide             674ec6c068aa        6 weeks ago         244 MB

How reproducible:

Deterministic.

Steps to Reproduce:
1. docker run --rm -ti fedora:rawhide dnf install -y zsh

Actual results:

$ docker run --rm -ti fedora:rawhide dnf install -y zsh
Fedora - Modular Rawhide - Developmental packag  26 MB/s | 2.1 MB     00:00    
Fedora - Rawhide - Developmental packages for t  79 MB/s |  61 MB     00:00    
Last metadata expiration check: 0:00:00 ago on Fri Apr 27 07:14:15 2018.
Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 179, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 1015, in run
    self._process_demands()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 768, in _process_demands
    load_available_repos=self.demands.available_repos)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 454, in fill_sack
    self._setup_modules()
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 217, in _setup_modules
    module_metadata = ModuleMetadataLoader(repo).load()
  File "/usr/lib/python3.6/site-packages/dnf/module/metadata_loader.py", line 53, in load
    return modulemd.loads_all(modules_yaml)
  File "/usr/lib/python3.6/site-packages/modulemd/__init__.py", line 99, in loads_all
    m.loadd(doc)
  File "/usr/lib/python3.6/site-packages/modulemd/__init__.py", line 229, in loadd
    raise ValueError("The supplied metadata version isn't supported")
ValueError: The supplied metadata version isn't supported

Expected results:

No error.

Additional info:

This is likely related (the same) to bug 1566593 or bug 1567387, which is not fixed in current fedora:rawhide image.

Filing against docker component because even after the years, I have no idea how to file issues with Fedora container images to track them properly.

Comment 1 Jan Kurik 2018-08-14 10:05:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 19:27:50 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jan Pazdziora 2019-11-01 10:43:47 UTC
The issue seems to be fixed in latest images.

Comment 4 Ben Cotton 2019-11-27 18:16:16 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.